function addEvent(obj, evType, fn, useCapture){
  if (obj.addEventListener){
    obj.addEventListener(evType, fn, useCapture);
    return true;
  } else if (obj.attachEvent){
    var r = obj.attachEvent("on"+evType, fn);
    return r;
  } else {
    alert("Handler could not be attached");
  }
}

function load(){
  var tas = document.getElementsByTagName("textarea");
  for (var i = 0; i < tas.length; ++i) {
    addEvent(tas[i],'select', storeCaret, false);
    addEvent(tas[i],'click', storeCaret, false);
    addEvent(tas[i],'keyup', storeCaret, false);
  }
}

  function storeCaret () { 
    if (document.all) {
      if (event.srcElement.createTextRange) { 
        selectedRange = document.selection.createRange().duplicate();
      }
    }
  } 

  function WrapIE(txtarea, lft, rgt) {
    strSelection = document.selection.createRange().text;
    if (strSelection!='') {
      document.selection.createRange().text = lft + strSelection + rgt;
      var range = document.selection.createRange();
      range.collapse(true);
      range.moveStart('character', lft.length+strSelection.length+rgt.length);
      range.select();
      storeCaret(txtarea)
    }
    txtarea.focus();
  }

  function wrapMoz(txtarea, lft, rgt) {
    var selLength = txtarea.textLength;
    var selStart = txtarea.selectionStart;
    var selEnd = txtarea.selectionEnd;
    if (selEnd==1 || selEnd==2) selEnd=selLength;
    var s1 = (txtarea.value).substring(0,selStart);
    var s2 = (txtarea.value).substring(selStart, selEnd)
    var s3 = (txtarea.value).substring(selEnd, selLength);
    txtarea.value = s1 + lft + s2 + rgt + s3;
    txtarea.focus();
    var cPos=s1.length+(lft.length+s2.length+rgt.length);
    txtarea.setSelectionRange(cPos,cPos);
  }
  
  function wrapTag(txtarea, lft, rgt) {
      lft = unescape(lft);
      rgt = unescape(rgt);
    if (document.all) {
      WrapIE(txtarea, lft, rgt);
    }
    else if (document.getElementById) {
      wrapMoz(txtarea, lft, rgt);
    }
  }

  function wrapWithLink(txtarea) {
    var my_link = prompt('URL:','http://');
    if (my_link != null) {
      lft='<a href=\"' + my_link + '\">';
      rgt='</a>';
      wrapTag(txtarea, lft, rgt);
    }
    return;
  }

  function insertIE (txtarea, text) {
    if (txtarea.createTextRange && selectedRange) { 
      var caretPos = selectedRange; 
      caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text+caretPos.text + ' ' : text+caretPos.text;
    } else {
      txtarea.value = txtarea.value + text; 
    }
    txtarea.focus();
    return;
  } 

  function insertMoz(txtarea , lft) {
    var rgt='';
    wrapTag(txtarea, lft, rgt);
    return;
  }

  function insertTag(txtarea , lft) {
    if (document.all) {
      insertIE(txtarea, lft);
    }
    else if (document.getElementById) {
      insertMoz(txtarea, lft);
    }
  }
    
  function insertImage(txtarea) {
    var my_link = prompt('IMG URL:','http://');
    if (my_link != null) {
      lft='<img src=\"' + my_link + '\" />';
      insertTag(txtarea, lft);
    }
    return;
  }
function mouseover(el) {
  el.className = 'raise';
}

function mouseout(el) {
  el.className = 'buttons';
}

function mousedown(el) {
  el.className = 'press';
}

function mouseup(el) {
  el.className = 'raise';
}



